Subject: Clarification reqd

From: [email-masked]
Date: Thu, 27 Jan 1994 22:32:42 -0600 (CST)

I am using postgres for my thesis project.

I created a user defined type as follows :

   define type lines (internallength = variable, 
                     input          = array_in , 
		     output         = array_out, 
 		     element        = text);

I then used this user defined type for class creation :

   create BLOCK (id = int4, content = lines);

Now when I try to append to class BLOCK as in :

   append PAGE (id = 5 , content = "This is a test");

I get the  following error message

 array_in: malformed array constant

I will very much appreciate a clarification to the above problem and help
in understanding what I am doing wrong.

Thanks

Sriram Kal